GroovyPagesUriService (Grails 6.0.0)

Package: grails.web.pages

## [Java] Interface GroovyPagesUriService

-     public interface GroovyPagesUriService

  Provides methods to lookup URIs of views and templates.

  Authors:
    Graeme Rocher
  Since:
    1.2

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `java.lang.String` | `BEAN_ID` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `clear()`
    `` | `public java.lang.String` | `getAbsoluteTemplateURI(java.lang.String templateName, boolean includeExtension)`
    `` | `public java.lang.String` | `getAbsoluteViewURI(java.lang.String viewName)`
    `` | `public java.lang.String` | `getDeployedAbsoluteViewURI(java.lang.String viewName)`
    `` | `public java.lang.String` | `getDeployedViewURI(java.lang.String controllerName, java.lang.String viewName)`
    `` | `public java.lang.String` | `getNoSuffixViewURI(groovy.lang.GroovyObject controller, java.lang.String viewName)`
    `` | `public java.lang.String` | `getNoSuffixViewURI(java.lang.String controllerName, java.lang.String viewName)`
    `` | `public java.lang.String` | `getTemplateURI(java.lang.String controllerName, java.lang.String templateName)` Obtains a template name of the given controller name and template name
    `` | `public java.lang.String` | `getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName)`
    `` | `public java.lang.String` | `getTemplateURI(java.lang.String controllerName, java.lang.String templateName, boolean includeExtension)`
    `` | `public java.lang.String` | `getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName, boolean includeExtension)`
    `` | `public java.lang.String` | `getViewURI(java.lang.String controllerName, java.lang.String viewName)` Obtains a view name for the given controller name and template name

- - ### Field Detail

    - #### java.lang.String BEAN_ID

  - ### Method Detail

    - #### public void clear()

    - #### public java.lang.String getAbsoluteTemplateURI(java.lang.String templateName, boolean includeExtension)

    - #### public java.lang.String getAbsoluteViewURI(java.lang.String viewName)

    - #### public java.lang.String getDeployedAbsoluteViewURI(java.lang.String viewName)

    - #### public java.lang.String getDeployedViewURI(java.lang.String controllerName, java.lang.String viewName)

    - #### public java.lang.String getNoSuffixViewURI(groovy.lang.GroovyObject controller, java.lang.String viewName)

    - #### public java.lang.String getNoSuffixViewURI(java.lang.String controllerName, java.lang.String viewName)

    - #### public java.lang.String getTemplateURI(java.lang.String controllerName, java.lang.String templateName)

      Obtains a template name of the given controller name and template name

      Parameters:
        `controllerName` - The controller name
        `templateName` - The template name
      Returns:
        The template URI

    - #### public java.lang.String getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName)

    - #### public java.lang.String getTemplateURI(java.lang.String controllerName, java.lang.String templateName, boolean includeExtension)

    - #### public java.lang.String getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName, boolean includeExtension)

    - #### public java.lang.String getViewURI(java.lang.String controllerName, java.lang.String viewName)

      Obtains a view name for the given controller name and template name

      Parameters:
        `controllerName` - The controller name
        `viewName` - The view name
      Returns:
        The view URI